Users
Update current user
Updates metadata and locale fields for the authenticated WorkOS user. The authenticated principal must be a user.
PUT
/
v1
/
users
/
me
Update current user
curl --request PUT \
--url https://api.anthid.com/v1/users/me \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"locale": "en-US",
"metadata": {
"theme": "dark"
}
}
'import requests
url = "https://api.anthid.com/v1/users/me"
payload = {
"locale": "en-US",
"metadata": { "theme": "dark" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({locale: 'en-US', metadata: {theme: 'dark'}})
};
fetch('https://api.anthid.com/v1/users/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>""<string>""<string>""<string>""<string>"Previous
Delete current userDeletes the authenticated user account from WorkOS. The authenticated principal must be a user.
Next
⌘I
Update current user
